## golang-github-hashicorp-atlas-go 0.0~git20151216.84.b66e377

=== Makefile ===
TEST?=./...
DEPS = $(shell go list -f '{{range .TestImports}}{{.}} {{end}}' ./...)

all: deps build

deps:
	go get -d -v ./...
	echo $(DEPS) | xargs -n1 go get -d

build:
	@mkdir -p bin/
	go build -o bin/atlas-go ./v1

test:
	go test $(TEST) $(TESTARGS) -timeout=3s -parallel=4
	go vet $(TEST)
	go test $(TEST) -race

.PHONY: all deps build test

=== debian/changelog ===
golang-github-hashicorp-atlas-go (0.0~git20151216.84.b66e377-2) unstable; urgency=medium

  * deb/control:
    + updated my email address.
    + bumped standards version to 3.9.8 (no changes needed).
    + use a secure transport for the Vcs-Git and Vcs-Browser URL [Paul
      Tagliamonte].
  * add deb/watch (uses Eriberto's pseudopackage for "No-Track").

 -- Daniel Stender <stender@debian.org>  Fri, 20 Jan 2017 07:38:06 +0100

golang-github-hashicorp-atlas-go (0.0~git20151216.84.b66e377-1) unstable; urgency=medium

  [Daniel Stender]
  * Initial release (Closes: #807925)

  [Alexandre Viau]
  * Don't disable tests
  * Imported new upstream tarball

 -- Daniel Stender <debian@danielstender.com>  Sun, 20 Dec 2015 22:25:08 +0100

=== debian/control ===
Source: golang-github-hashicorp-atlas-go
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Stender <stender@debian.org>,
           Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-hashicorp-go-cleanhttp-dev,
               golang-github-hashicorp-go-version-dev,
               pandoc
Standards-Version: 3.9.8
Homepage: https://godoc.org/github.com/hashicorp/atlas-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-atlas-go.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hashicorp-atlas-go.git
XS-Go-Import-Path: github.com/hashicorp/atlas-go

Package: golang-github-hashicorp-atlas-go-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-hashicorp-go-cleanhttp-dev,
         golang-github-hashicorp-go-version-dev
Description: official Go client for HashiCorp's Atlas
 Atlas is an integrated toolset which wraps up individual tools from
 HashiCorp (Vagrant, Packer, Terraform, and others). It spans a whole
 devops line from development to production as a commercial service.
 Atlas-go is a library for the Go programming language which provides
 access to the API of Atlas.

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Track/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz

## golang-github-hashicorp-atlas-go 0.0~git20170619.0.1ea2527

=== debian/changelog ===
golang-github-hashicorp-atlas-go (0.0~git20170619.0.1ea2527-1) unstable; urgency=medium

  * New snapshot release.
  * Adopt this package (Closes: #865327).
  * d/compat: bump to v10.
  * d/control:
    + Bump Standards-Version to 4.0.0.
    + Bump dependency of debhelper to 10.
    + Add autopkgtest-pkg-go Testsuite.
    + Remove outdated golang-go depends.
    + Add golang-github-hashicorp-go-rootcerts depends.
  * d/copyright:
    + Change format url to https.
    + Add myself to copyright holder.
    + Remove full copy of MPL-2.0.
  * d/rules:
    + Use DH_GOLANG_INSTALL_EXTRA to include test fixtures.
  * Add patch to disable broken tests due to dh-golang can't copy
    files correctly.
  * Remove source lintian override, adjust binary override.

 -- Shengjing Zhu <i@zhsj.me>  Fri, 04 Aug 2017 19:30:52 +0800

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,28 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Stender <stender@debian.org>,
+Uploaders: Shengjing Zhu <i@zhsj.me>,
            Alexandre Viau <aviau@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-golang,
-               golang-go,
+               golang-any,
                golang-github-hashicorp-go-cleanhttp-dev,
+               golang-github-hashicorp-go-rootcerts-dev,
                golang-github-hashicorp-go-version-dev,
                pandoc
-Standards-Version: 3.9.8
-Homepage: https://godoc.org/github.com/hashicorp/atlas-go
+Standards-Version: 4.0.0
+Homepage: https://github.com/hashicorp/atlas-go
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-atlas-go.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hashicorp-atlas-go.git
 XS-Go-Import-Path: github.com/hashicorp/atlas-go
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-hashicorp-atlas-go-dev
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-go,
          golang-github-hashicorp-go-cleanhttp-dev,
+         golang-github-hashicorp-go-rootcerts-dev,
          golang-github-hashicorp-go-version-dev
 Description: official Go client for HashiCorp's Atlas
  Atlas is an integrated toolset which wraps up individual tools from

## golang-github-hashicorp-atlas-go 0.0~git20170808.8261ea0

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	go build -o bin/atlas-go ./v1
 
 test:
-	go test $(TEST) $(TESTARGS) -timeout=3s -parallel=4
+	go test $(TEST) $(TESTARGS) -timeout=10s -parallel=4
 	go vet $(TEST)
 	go test $(TEST) -race

=== debian/changelog ===
golang-github-hashicorp-atlas-go (0.0~git20170808.8261ea0-3) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:49:50 -0500

golang-github-hashicorp-atlas-go (0.0~git20170808.8261ea0-2) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 16:30:57 -0500

golang-github-hashicorp-atlas-go (0.0~git20170808.8261ea0-1) unstable; urgency=medium

  * Team upload.
  * Remove useless watch file.
  * Move to salsa.debian.org.
  * Remove my self from uploaders.
  * Priority extra -> optional.
  * New upstream snapshot.
  * Skip another test.

 -- Alexandre Viau <aviau@debian.org>  Sat, 30 Dec 2017 03:44:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: golang-github-hashicorp-atlas-go
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Shengjing Zhu <i@zhsj.me>,
-           Alexandre Viau <aviau@debian.org>
+Uploaders: Shengjing Zhu <i@zhsj.me>
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any,
@@ -13,8 +12,8 @@
                pandoc
 Standards-Version: 4.0.0
 Homepage: https://github.com/hashicorp/atlas-go
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-atlas-go.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hashicorp-atlas-go.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-atlas-go
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-atlas-go.git
 XS-Go-Import-Path: github.com/hashicorp/atlas-go
 Testsuite: autopkgtest-pkg-go

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DH_GOLANG_INSTALL_EXTRA := archive/test-fixtures

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_installdocs:
	pandoc -f markdown -t plain -o README README.md
	dh_installdocs README

## golang-github-hashicorp-atlas-go 0.0~git20230125.46e9b3e

=== debian/changelog ===
golang-github-hashicorp-atlas-go (0.0~git20230125.46e9b3e-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Add Multi-Arch: foreign.

  [ Shengjing Zhu ]
  * Update section to golang
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Bump debhelper compat to 13
  * Update Standards-Version to 4.6.2 (no changes)
  * Add Rules-Requires-Root
  * Add Multi-Arch hint
  * Add uscan watch file
  * New upstream version 0.0~git20230125.46e9b3e
  * Update lintian-overrides for testdata

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 30 Jan 2023 22:56:34 +0800

=== debian/control ===
Source: golang-github-hashicorp-atlas-go
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-hashicorp-go-cleanhttp-dev,
               golang-github-hashicorp-go-rootcerts-dev,
               golang-github-hashicorp-go-version-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/hashicorp/atlas-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-atlas-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-atlas-go.git
XS-Go-Import-Path: github.com/hashicorp/atlas-go
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-hashicorp-atlas-go-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-hashicorp-go-cleanhttp-dev,
         golang-github-hashicorp-go-rootcerts-dev,
         golang-github-hashicorp-go-version-dev,
         ${misc:Depends},
Description: official Go client for HashiCorp's Atlas
 Atlas is an integrated toolset which wraps up individual tools from
 HashiCorp (Vagrant, Packer, Terraform, and others). It spans a whole
 devops line from development to production as a commercial service.
 Atlas-go is a library for the Go programming language which provides
 access to the API of Atlas.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DH_GOLANG_INSTALL_EXTRA := archive/test-fixtures

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/hashicorp/atlas-go \
  HEAD debian
